games/ecwolf - The NetBSD Packages Collection

Advanced port of Wolfenstein 3D

ECWolf is an advanced source port of the Wolfenstein 3D engine based upon
Wolf4SDL with some back ports from ZDoom. It provides substantially boosted
capabilities for creating mods without requiring source code edits using
scripting and other tools familiar to users of ZDoom.

For players it offers modern features such as support for modern control
schemes and wide screen. Being based on the Wolfenstein 3D engine and using an
enhanced version of the original software renderer, it provides a relatively
accurate play experience to vanilla while modernizing.

Currently supported games are Wolfenstein 3D, Spear of Destiny, and Super 3-D
Noah's Ark.

The original game data files are required for operation. These are files with
the extensions *.n3d, *.sod, *.sd2, *.sd3, *.wl1, or *.wl6.

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/cmake devel/pkgconf

Runtime dependencies

audio/SDL_mixer devel/SDL graphics/hicolor-icon-theme sysutils/desktop-file-utils x11/gtk2 audio/SDL_mixer devel/SDL graphics/hicolor-icon-theme sysutils/desktop-file-utils x11/gtk2

Binary packages

OSArchitectureVersion
NetBSD 9.0aarch64ecwolf-1.3.3.tgz
NetBSD 9.0alphaecwolf-1.3.3.tgz
NetBSD 9.0earmv6hfecwolf-1.3.3.tgz
NetBSD 9.0earmv7hfecwolf-1.3.3.tgz
NetBSD 9.0earmv7hfecwolf-1.3.3.tgz
NetBSD 9.0i386ecwolf-1.3.3.tgz
NetBSD 9.0powerpcecwolf-1.3.3.tgz
NetBSD 9.0sparc64ecwolf-1.3.3.tgz
NetBSD 9.0x86_64ecwolf-1.3.3.tgz
NetBSD 9.0x86_64ecwolf-1.3.3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.